> For the complete documentation index, see [llms.txt](https://docs.andus.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.andus.dev/lonelypie-games/evie.md).

# Evie

{% hint style="danger" %}
That game is still in development stage. When the game will be released, docs will be most likely be updated.
{% endhint %}

### Idea/Story

You're playing as a girl named Evie. Soon you'll discover that the king is locking up Elves in Jail. Although you're just a Citizen you decide to help them out, and break them out of prison.

### Screenshots

Soon...

### Modding/Contributing

#### Contributing

To contribute to official Evie Game you'll need to create/have a [GitHub](https://github.com) account. Then [fork](https://docs.github.com/en/get-started/quickstart/fork-a-repo) Evie's repo onto your account. Make the changes you want to in Godot Engine, make a pull request to the original Evie repo (with listed changes etc.), and if we find it necessary/needed in the game, we will accept the pull request.

#### Modding

{% hint style="warning" %}
GameJolt Integration won't work because it doesn't have Evie's private key. Use your mod's one if it has a GameJolt Page.
{% endhint %}

To mod Evie you'll need to create/have a [GitHub](https://github.com) account. Then fork Evie's repo onto your account. Before you start modifying the code, open Mod.gd file. You'll see 7 variables:

* isModded - tells the game if it is modded or not. Change it to true. It's needed to load mod ID, name, and author at the game start. Also disables official game updates and changes to url given in updateUrl. *(The only valid variables are true/false).*
* modName - shows mod name under game title in main menu *(of course you can change it how you want, it's existing to make it easier for smaller mods)*.
* modVersion - this seperates game's version from mod's one. It can help players know on which Evie version the mod is based on.
* enableGameJolt - when false disables trophies, login buttons etc. Set it to true if your mod has a GameJolt Page.
* modId - game creates a new folder inside original Evie's folder to seperate saves etc. This is the name of that folder.
* modAuthor - your nickname/username so that people know original author of the mod.
* updateUrl - to prevent your mod from showing information about original Evie's updates you need to set your own update URL. If your mod somehow doesn't have one, set it to "null" *(without quote marks).*

After you fill all of those variables, change *"emptyauth.gd" to "auth.gd"* and fill it with game id and private key (if your mod has GameJolt Page, if not leave it empty). Then you're good to go! You can change every single thing. Just don't forget to use the same license and credit us ;). You can read [our modding guide](/lonelypie-games/evie-modding-guide.md) to help you out. **Happy Modding!**

### Technical Stuff

&#x20;Engine: Godot Engine v3.5.1

&#x20;Platforms: Windows, Linux/Steam Deck

&#x20;Links: [https://lpie.andus.dev/](https://lpie.andus.dev), <https://github.com/LnlyPie/Evie>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.andus.dev/lonelypie-games/evie.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
